summaryrefslogtreecommitdiffstats
path: root/graphics/inkscape
diff options
context:
space:
mode:
author Robby Workman <rw@rlworkman.net>2010-05-11 14:55:17 +0200
committer Michiel van Wessem <michiel@slackbuilds.org>2010-05-11 14:55:17 +0200
commitbfbf63e5b16f54e94b7370a2d786d0ed8b326dc3 (patch)
treeb3f28b0606a86deccaa431bbcfd9ad2c2389b909 /graphics/inkscape
parentda8470f58e1bb84435d1cee4615df6cbe0f826e3 (diff)
downloadslackbuilds-bfbf63e5b16f54e94b7370a2d786d0ed8b326dc3.tar.gz
slackbuilds-bfbf63e5b16f54e94b7370a2d786d0ed8b326dc3.tar.xz
graphics/inkscape: Initial import
Diffstat (limited to 'graphics/inkscape')
-rw-r--r--graphics/inkscape/README12
-rw-r--r--graphics/inkscape/doinst.sh5
-rw-r--r--graphics/inkscape/inkscape.SlackBuild86
-rw-r--r--graphics/inkscape/inkscape.info8
-rw-r--r--graphics/inkscape/slack-desc10
5 files changed, 121 insertions, 0 deletions
diff --git a/graphics/inkscape/README b/graphics/inkscape/README
new file mode 100644
index 0000000000..78f10e5d23
--- /dev/null
+++ b/graphics/inkscape/README
@@ -0,0 +1,12 @@
+Inkscape is an Open Source vector graphics editor, with capabilities similar to
+Illustrator, Freehand, CorelDraw, or Xara X using the W3C standard Scalable
+Vector Graphics (SVG) file format. Supported SVG features include shapes, paths,
+text, markers, clones, alpha blending, transforms, gradients, patterns, and
+grouping. Inkscape also supports Creative Commons meta-data, node editing,
+layers, complex path operations, bitmap tracing, text-on-path, flowed text,
+direct XML editing, and more. It imports formats such as JPEG, PNG, TIFF, and
+others and exports PNG as well as multiple vector-based formats.
+
+Inkscape requires libsigc++, glibmm, gtkmm (which requires cairomm), and gc,
+all of which are available at SlackBuilds.org.
+
diff --git a/graphics/inkscape/doinst.sh b/graphics/inkscape/doinst.sh
new file mode 100644
index 0000000000..22d4849bce
--- /dev/null
+++ b/graphics/inkscape/doinst.sh
@@ -0,0 +1,5 @@
+
+if [ -x usr/bin/update-desktop-database ]; then
+ usr/bin/update-desktop-database usr/share/applications >/dev/null 2>&1
+fi
+
diff --git a/graphics/inkscape/inkscape.SlackBuild b/graphics/inkscape/inkscape.SlackBuild
new file mode 100644
index 0000000000..2fa508da90
--- /dev/null
+++ b/graphics/inkscape/inkscape.SlackBuild
@@ -0,0 +1,86 @@
+#!/bin/sh
+
+# Slackware build script for inkscape
+
+# Copyright 2006 Robby Workman (http://rlworkman.net)
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+# Modified by the SlackBuilds.org project
+
+PRGNAM=inkscape
+VERSION=0.45
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+CWD=`pwd`
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP || exit 1
+rm -rf $PRGNAM-$VERSION
+tar -xzvf $CWD/$PRGNAM-$VERSION.tar.gz || exit 1
+cd $PRGNAM-$VERSION || exit 1
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --enable-static=no \
+ || exit 1
+
+make || exit 1
+make install-strip DESTDIR=$PKG || exit 1
+
+# Fix icon path in .desktop file
+sed -i 's%Icon=inkscape.png%Icon=/usr/share/pixmaps/inkscape.png%g' \
+ $PKG/usr/share/applications/inkscape.desktop || exit 1
+
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in `find . -type l` ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYING* HACKING* INSTALL NEWS README* TRANSLATORS doc/* \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+find $PKG/usr/doc -name "Makefile*" -exec rm {} \;
+find $PKG/usr/doc -type f -exec chmod 644 {} \;
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/graphics/inkscape/inkscape.info b/graphics/inkscape/inkscape.info
new file mode 100644
index 0000000000..968f1cf109
--- /dev/null
+++ b/graphics/inkscape/inkscape.info
@@ -0,0 +1,8 @@
+PRGNAM="inkscape"
+VERSION="0.45"
+HOMEPAGE="http://www.inkscape.org/"
+DOWNLOAD="http://dl.sourceforge.net/inkscape/inkscape-0.45.tar.gz"
+MD5SUM="82d7cff90a7de42460e65d289e0d4d33"
+MAINTAINER="Robby Workman"
+EMAIL="rw@rlworkman.net"
+APPROVED="BP{k}"
diff --git a/graphics/inkscape/slack-desc b/graphics/inkscape/slack-desc
new file mode 100644
index 0000000000..5284add8ed
--- /dev/null
+++ b/graphics/inkscape/slack-desc
@@ -0,0 +1,10 @@
+inkscape: Inkscape - Draw Freely!
+inkscape:
+inkscape: Inkscape is an Open Source vector graphics editor, with capabilities
+inkscape: similar to Illustrator, Freehand, CorelDraw, or Xara X using the W3C
+inkscape: standard Scalable Vector Graphics (SVG) file format.
+inkscape:
+inkscape: Homepage: http://www.inkscape.org/
+inkscape:
+inkscape:
+inkscape: